$Last_Modified = "05-16-2008 at 13:24:22"
$Version = "0.01"
'
'DISCLAIMER
'
'This software and accompanying documentation are provided "as is" and 
'without warranties as to performance or merchantability or any other 
'warranties whether expressed or implied.
'
'Because of the various hardware and software environments into which 
'this application may be used, no warranty of fitness for a particular 
'purpose is offered. The user must assume the entire risk of using this 
'software. In no case shall any of the contributors to this project be 
'liable for any incidental, special or consequential damages or loss, 
'including, without limitation, lost profits or the inability to use 
'equipment or access data. This is true even if we are advised of the 
'possibility of such damages. We also don't have any obligation to fix 
'eventual bugs or to add new features.
'
'This software is placed in to the public domain 5/16/2008.
'
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'
#COMPILE DLL "MATINV.DLL"
#DIM ALL

' NOTE:  must have subs for GetAt, SetAt, and SetDim for the EBA to
' transfer data entries.

GLOBAL A(), X() AS DOUBLE
GLOBAL aDim AS LONG

'-------------------------------------------------------------------------------
' Main DLL entry point called by Windows...
'
FUNCTION PBLIBMAIN
	FUNCTION = 1
END FUNCTION

'
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'
SUB SetDim ALIAS "SetDim" (BYVAL m AS LONG) EXPORT                ' Set dimension of square matrix.
	DIM aDim AS GLOBAL LONG
	aDim = m
	REDIM A(1 TO aDim,1 TO aDim) AS GLOBAL DOUBLE
	REDIM X(1 TO aDim,1 TO aDim) AS GLOBAL DOUBLE
	MAT A()=ZER
END SUB

'
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'
SUB aSetAt ALIAS "aSetAt" (BYVAL m AS LONG, BYVAL n AS LONG, BYVAL x AS DOUBLE) EXPORT
	DIM A() AS GLOBAL DOUBLE
	A(m,n)=x
END SUB

'
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'
SUB xGetAt ALIAS "xGetAt" (BYVAL m AS LONG, BYVAL n AS LONG, BYREF L AS DOUBLE) EXPORT 
	DIM X() AS GLOBAL DOUBLE
	L=X(m,n)
END SUB

'
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'
SUB MATRIXINV ALIAS "MATRIXINV" EXPORT
	DIM A() AS GLOBAL DOUBLE
	DIM X() AS GLOBAL DOUBLE
	MAT X=INV(A)
END SUB
'
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'
