' Last_Modified = "05-16-2008 at 13:30:01"
' Version = "0.01"
'
'DISCLAIMER
'
'This software and accompanying documentation are provided "as is" and 
'without warranties as to performance or merchantability or any other 
'warranties whether expressed or implied.
'
'Because of the various hardware and software environments into which 
'this application may be used, no warranty of fitness for a particular 
'purpose is offered. The user must assume the entire risk of using this 
'software. In no case shall any of the contributors to this project be 
'liable for any incidental, special or consequential damages or loss, 
'including, without limitation, lost profits or the inability to use 
'equipment or access data. This is true even if we are advised of the 
'possibility of such damages. We also don't have any obligation to fix 
'eventual bugs or to add new features.
'
'This software is placed in to the public domain 5/16/2008.
'
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'
CLASS MAT
	PRIVATE
		INT m_nr, m_nc		' Number of rows, columns.
		pointer m_pa		' Pointer to MAT.
		
	PUBLIC 
		DECLARE MAT()	' Constructor.
		DECLARE _MAT() ' Destructor.
		DECLARE MATINIT(INT r, INT c)						'Defines this matrix a1()
		DECLARE MATCON(DOUBLE value)						'Set all elements of a1() to value of expr
		DECLARE MATCONONE()									'Set all elements of a1() to one
		DECLARE MATIDN()										'Establish a1() as an identity matrix
		DECLARE MATZER()										'Set all elements of a1() to zero
		DECLARE MATADD(MAT a2, MAT a3)					'Addition 				a1() = a2() + a3()
		DECLARE MATASG(MAT a2)								'Assignment 			a1() = a2()
		DECLARE MATINV(MAT a2)								'Inversion 				a1() = INV(a2())
		DECLARE MATScalarMult(DOUBLE d, MAT a2)		'Scalar Multiply 		a1() = (expr) * a2()
		DECLARE MATSUBT(MAT a2, MAT a3)					'Subtraction 			a1() = a2() + a3()
		DECLARE MATMULT(MAT a2, MAT a3)					'Multiplication 		a1() = a2() * a3()
		DECLARE MATTRN(MAT a2)								'Transposition 		a1() = TRN(a2())
		DECLARE GETnr(),INT									'Retrieve number of rows of matrix a1
		DECLARE GETnc(),INT									'Retrieve number of columns of matrix a1
		DECLARE GetAt(INT row, INT col),DOUBLE					'Retrieve value at row, col
		DECLARE SetAt(INT row, INT col, value AS DOUBLE)	'Set value at row, col
ENDCLASS

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
